[page:Material] →

# [name]

A material for drawing wireframe-style geometries with dashed lines.

## Constructor

### [name]( [page:Object parameters] )

parameters is an object with one or more properties defining the material's appearance.
color — Line color in hexadecimal. Default is 0xffffff.
linewidth — Line thickness. Default is 1.
scale — The scale of the dashed part of a line. Default is 1.
dashSize — The size of the dash. Default is 3.
gapSize - The size of the gap. Default is 1.
vertexColors — Define how the vertices gets colored. Default is THREE.NoColors.
fog — Define whether the material color is affected by global fog settings. Default is false.

## Properties

See the base [page:Material] class for common properties.

### [property:Color color]

Sets the color of the line. Default is 0xffffff.

### [property:number linewidth]

Controls line thickness. Default is 1.
Due to limitations in the ANGLE layer, on Windows platforms linewidth will always be 1 regardless of the set value.

### [property:number scale]

The scale of the dashed part of a line.

### [property:number dashSize]

The size of the dash. This is both the gap with the stroke. Default is 3.

### [property:number gapSize]

The size of the gap. Default is 1.

### [property:boolean vertexColors]

Define how the vertices gets colored. Possible values are THREE.NoColors, THREE.FaceColors and THREE.VertexColors. Default is THREE.NoColors.
This setting might not have any effect when used with certain renderers.

### [property:boolean fog]

Define whether the material color is affected by global fog settings.
This setting might not have any effect when used with certain renderers. For example, it is ignored with the [page:CanvasRenderer Canvas] renderer, but does work with the [page:WebGLRenderer WebGL] renderer.

## Methods

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]